import {
  select,
  csv,
  scaleLinear,
  max,
  min,
  scaleBand,
  axisLeft,
  axisBottom,
  format
} from 'd3';

const titleText = 'Top 10 Most Populous Countries';
const xAxisLabelText = 'Population';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render = data => {
  
  const xValue = d => d['population'];
  
  const xScale = scaleLinear()
     .domain([0, max(data, xValue)])
     .range([0, width]);
  
  const sequentialScale = scaleLinear()
  .domain([min(data, xValue), max(data, xValue)])
  .range(["red", "yellow", "red"]);

  svg.selectAll("rect")
     .data(data)
     .enter()
     .append("rect")
     .attr('width', d => xScale(xValue(d)))
     .attr("fill", d => sequentialScale(xValue(d)))
     .attr("height", 30)
     .attr("y", (d, i) => 44 * i)
     .attr("x", 15);
  
  svg.append('g')
    .call(axisBottom(xScale))
    .attr('transform', `translate(15, 450)`)
    .
};

csv('data.csv').then(data => {
  data.forEach(d => {
    d.population = +d.population * 1000;
  });
  render(data);
});